com.taosdata.jdbc.utils

## Class Utils

- java.lang.Object
- - com.taosdata.jdbc.utils.Utils

    public class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `escapeSingleQuota(String origin)`
`static ClassLoader` `getClassLoader()`
`static String` `getNativeSql(String rawSql, Object[] parameters)`
`static <T> T` `newInstance(Class<T> c)` Instantiate the class
`static Class<?>` `parseClassType(String key)`
`static Date` `parseDate(String timestampStr)`
`static Time` `parseTime(String timestampStr)`
`static Timestamp` `parseTimestamp(String timeStampStr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### parseTime

    public static Time parseTime(String timestampStr)
                          throws DateTimeParseException

Throws:
  `DateTimeParseException`

#### parseDate

    public static Date parseDate(String timestampStr)

#### parseTimestamp

    public static Timestamp parseTimestamp(String timeStampStr)

#### escapeSingleQuota

    public static String escapeSingleQuota(String origin)

#### getNativeSql

    public static String getNativeSql(String rawSql,
                                      Object[] parameters)

#### getClassLoader

    public static ClassLoader getClassLoader()

#### parseClassType

    public static Class<?> parseClassType(String key)

#### newInstance

    public static <T> T newInstance(Class<T> c)

Instantiate the class